---
title: 'y'
slug: Web/SVG/Attribute/y
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>y</code></strong> attribute defines a y-axis coordinate in the user coordinate system.</p>

<p>Thirty seven elements are using this attribute: {{SVGElement("altGlyph")}}, {{SVGElement("feBlend")}}, {{SVGElement("feColorMatrix")}}, {{SVGElement("feComponentTransfer")}}, {{SVGElement("feComposite")}}, {{SVGElement("feConvolveMatrix")}}, {{SVGElement("feDiffuseLighting")}}, {{SVGElement("feDisplacementMap")}}, {{SVGElement("feDropShadow")}}, {{SVGElement("feFlood")}}, {{SVGElement("feFuncA")}}, {{SVGElement("feFuncB")}}, {{SVGElement("feFuncG")}}, {{SVGElement("feFuncR")}}, {{SVGElement("feGaussianBlur")}}, {{SVGElement("feImage")}}, {{SVGElement("feMerge")}}, {{SVGElement("feMergeNode")}}, {{SVGElement("feMorphology")}}, {{SVGElement("feOffset")}}, {{SVGElement("fePointLight")}}, {{SVGElement("feSpecularLighting")}}, {{SVGElement("feSpotLight")}}, {{SVGElement("feTile")}}, {{SVGElement("feTurbulence")}}, {{SVGElement("filter")}}, {{SVGElement("foreignObject")}}, {{SVGElement("glyphRef")}}, {{SVGElement("image")}}, {{SVGElement("mask")}}, {{SVGElement("pattern")}}, {{SVGElement("rect")}}, {{SVGElement("svg")}}, {{SVGElement("text")}}, {{SVGElement("tref")}}, {{SVGElement("tspan")}}, and {{SVGElement("use")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 100 300" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;rect y="20"  x="20" width="60" height="60" /&gt;
  &lt;rect y="120" x="20" width="60" height="60" /&gt;
  &lt;rect y="220" x="20" width="60" height="60" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="altGlyph">altGlyph</h2>

<p class="warning"><strong>Warning:</strong> As of SVG2 {{SVGElement('altGlyph')}} is deprecated and shouldn't be used.</p>

<p>For {{SVGElement('altGlyph')}}, <code>y</code> defines the y-axis coordinate of the alternate glyph.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feBlend">feBlend</h2>

<p>For {{SVGElement('feBlend')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feColorMatrix">feColorMatrix</h2>

<p>For {{SVGElement('feColorMatrix')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feComponentTransfer">feComponentTransfer</h2>

<p>For {{SVGElement('feComponentTransfer')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feComposite">feComposite</h2>

<p>For {{SVGElement('feComposite')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feConvolveMatrix">feConvolveMatrix</h2>

<p>For {{SVGElement('feConvolveMatrix')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDiffuseLighting">feDiffuseLighting</h2>

<p>For {{SVGElement('feDiffuseLighting')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDisplacementMap">feDisplacementMap</h2>

<p>For {{SVGElement('feDisplacementMap')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDropShadow">feDropShadow</h2>

<p>For {{SVGElement('feDropShadow')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feFlood">feFlood</h2>

<p>For {{SVGElement('feFlood')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feFuncA">feFuncA</h2>

<p>For {{SVGElement('feFuncA')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feFuncB">feFuncB</h2>

<p>For {{SVGElement('feFuncB')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feFuncG">feFuncG</h2>

<p>For {{SVGElement('feFuncG')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feFuncR">feFuncR</h2>

<p>For {{SVGElement('feFuncR')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feGaussianBlur">feGaussianBlur</h2>

<p>For {{SVGElement('feGaussianBlur')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feImage">feImage</h2>

<p>For {{SVGElement('feImage')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feMerge">feMerge</h2>

<p>For {{SVGElement('feMerge')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feMergeNode">feMergeNode</h2>

<p>For {{SVGElement('feMergeNode')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feMorphology">feMorphology</h2>

<p>For {{SVGElement('feMorphology')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feOffset">feOffset</h2>

<p>For {{SVGElement('feOffset')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="fePointLight">fePointLight</h2>

<p>For {{SVGElement('fePointLight')}}, <code>y</code> defines the y location for the light source in the coordinate system defined by the {{SVGAttr("primitiveUnits")}} attribute on the {{SVGElement("filter")}} element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feSpecularLighting">feSpecularLighting</h2>

<p>For {{SVGElement('feSpecularLighting')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feSpotLight">feSpotLight</h2>

<p>For {{SVGElement('feSpotLight')}}, <code>y</code> defines the y location for the light source in the coordinate system defined by the {{SVGAttr("primitiveUnits")}} attribute on the {{SVGElement("filter")}} element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feTile">feTile</h2>

<p>For {{SVGElement('feTile')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feTurbulence">feTurbulence</h2>

<p>For {{SVGElement('feTurbulence')}}, <code>y</code> defines the minimum y coordinate for the rendering area of the primitive.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="filter">filter</h2>

<p>For {{SVGElement('filter')}}, <code>y</code> defines the y coordinate of the upper left corner for the rendering area of the filter.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>-10%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="foreignObject">foreignObject</h2>

<p>For {{SVGElement('foreignObject')}}, <code>y</code> defines the y coordinate of the uper left corner of its viewport.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>y</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for <code>&lt;foreignObject&gt;</code>.</p>

<h2 id="glyphRef">glyphRef</h2>

<p class="warning"><strong>Warning:</strong> As of SVG2 {{SVGElement('glyphRef')}} is deprecated and shouldn't be used.</p>

<p>For {{SVGElement('glyphRef')}}, <code>y</code> defines the y-axis coordinate of the glyph.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="image">image</h2>

<p>For {{SVGElement('image')}}, <code>y</code> defines the y coordinate of the uper left corner of the image.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>y</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for images.</p>

<h2 id="mask">mask</h2>

<p>For {{SVGElement('mask')}}, <code>y</code> defines the y coordinate of the uper left corner of its area of effect. The exact effect of this attribute is influenced by the {{SVGAttr('maskUnits')}} attribute.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>-10%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="pattern">pattern</h2>

<p>For {{SVGElement('pattern')}}, <code>y</code> defines the y coordinate of the uper left corner of the tile pattern. The exact effect of this attribute is influenced by the {{SVGAttr('patternUnits')}} and {{SVGAttr('patternTransform')}} attributes.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="rect">rect</h2>

<p>For {{SVGElement('rect')}}, <code>y</code> defines the y coordinate of the uper left corner of the shape.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>y</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for rectangles.</p>

<h2 id="svg">svg</h2>

<p>For {{SVGElement('svg')}}, <code>y</code> defines the y coordinate of the uper left corner of its viewport.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>y</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for <code>&lt;svg&gt;</code>.</p>

<h2 id="text">text</h2>

<p>For {{SVGElement('text')}}, if it contain a single value, <code>y</code> defines the y coordinate on where the <em>content text position</em> must be placed. The <em>content text position</em> is usualy a point on the baseline of the first line of text. The exact <em>content text position</em> is influenced by some properties like {{SVGAttr('text-anchor')}}, or {{cssxref('direction')}}.</p>

<p>If there are multiple values, <code>y</code> defines the y coordinate of each individual glyph from the text. If there are less values than glyphes, the remaining glyphes are placed in the continuity of the last positioned glyph. If there are more values than glyphes, extra values are ignored.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of (<strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong>)</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 200 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- horizontal line to materialized the text base line --&gt;
  &lt;line x1="0" y1="40%" x2="100%" y2="40%" /&gt;
  &lt;line x1="0" y1="60%" x2="100%" y2="60%" /&gt;
  &lt;line x1="0" y1="80%" x2="100%" y2="80%" /&gt;

  &lt;!-- vertical line to materialized the x positioning --&gt;
  &lt;line x1="5%"  y1="0" x2="5%"  y2="100%" /&gt;
  &lt;line x1="55%" y1="0" x2="55%" y2="100%" /&gt;

  &lt;!-- y with a single value --&gt;
  &lt;text y="40%" x="5%"&gt;SVG&lt;/text&gt;

  &lt;!-- y with multiple values --&gt;
  &lt;text y="40%,60%,80%" x="55%"&gt;SVG&lt;/text&gt;
&lt;/svg&gt;</pre>

<pre class="brush: css">text {
  font: 40px sans-serif;
}

line {
  fill: none;
  stroke: red;
  stroke-width: .5px;
  stroke-dasharray: 2px;
}</pre>

<p>{{EmbedLiveSample('text', '100%', 100)}}</p>

<h2 id="tref">tref</h2>

<p class="warning"><strong>Warning:</strong> As of SVG2 {{SVGElement('tref')}} is deprecated and shouldn't be used.</p>

<p>For {{SVGElement('tref')}}, if it contain a single value, <code>y</code> defines the y coordinate on where the <em>content text position</em> must be placed. The <em>content text position</em> is usualy a point on the baseline of the first line of text. The exact <em>content text position</em> is influenced by some properties like {{SVGAttr('text-anchor')}}, or {{cssxref('direction')}}.</p>

<p>If there are multiple values, <code>y</code> defines the y coordinate of each individual glyph from the text. If there are less values than glyphes, the remaining glyphes are placed in the continuity of the last positioned glyph. If there are more values than glyphes, extra values are ignored.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of (<strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong>)</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="tspan">tspan</h2>

<p>For {{SVGElement('tspan')}}, if it contain a single value, <code>y</code> defines the y coordinate on where the <em>content text position</em> must be placed. The <em>content text position</em> is usualy a point on the baseline of the first line of text. The exact <em>content text position</em> is influenced by some properties like {{SVGAttr('text-anchor')}}, or {{cssxref('direction')}}.</p>

<p>If there are multiple values, <code>y</code> defines the y coordinate of each individual glyph from the text. If there are less values than glyphes, the remaining glyphes are placed in the continuity of the last positioned glyph. If there are more values than glyphes, extra values are ignored.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>List of (<strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong>)</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example_2">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 200 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- horizontal line to materialized the text base line --&gt;
  &lt;line x1="0" y1="40%" x2="100%" y2="40%" /&gt;
  &lt;line x1="0" y1="60%" x2="100%" y2="60%" /&gt;
  &lt;line x1="0" y1="80%" x2="100%" y2="80%" /&gt;

  &lt;!-- vertical line to materialized the x positioning --&gt;
  &lt;line x1="5%"  y1="0" x2="5%"  y2="100%" /&gt;
  &lt;line x1="55%" y1="0" x2="55%" y2="100%" /&gt;

  &lt;text&gt;
    &lt;!-- y with a single value --&gt;
    &lt;tspan y="40%" x="5%"&gt;SVG&lt;/tspan&gt;

    &lt;!-- y with multiple values --&gt;
    &lt;tspan y="40%,60%,80%" x="55%"&gt;SVG&lt;/tspan&gt;
  &lt;/text
&lt;/svg&gt;</pre>

<pre class="brush: css">text {
  font: 40px sans-serif;
}

line {
  fill: none;
  stroke: red;
  stroke-width: .5px;
  stroke-dasharray: 2px;
}</pre>

<p>{{EmbedLiveSample('tspan', '100%', 100)}}</p>

<h2 id="use">use</h2>

<p>For {{SVGElement('use')}}, <code>y</code> defines the y coordinate of the uper left corner of the referenced element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>y</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for used elements.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-filter-y', 'y') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for <code>&lt;filter&gt;</code></td>
  </tr>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-fespotlight-y', 'y') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for <code>&lt;feSpotLight&gt;</code></td>
  </tr>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-fepointlight-y', 'y') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for <code>&lt;fePointLight&gt;</code></td>
  </tr>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-filter-primitive-y', 'y') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for filter primitives</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS Masks", "#element-attrdef-mask-y", 'y')}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Definition for <code>&lt;mask&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "geometry.html#Y", "y")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition as a geometry property</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#PatternElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;pattern&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#TextElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;text&gt;</code> and <code>&lt;tspan&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "interact.html#CursorElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;cursor&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "extend.html#ForeignObjectElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;foreignObject&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#PatternElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;pattern&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#ImageElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;image&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#SVGElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;svg&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#UseElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;use&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#fePointLightYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;fePointLight&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feSpotLightYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;feSpotLight&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;filter&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterPrimitiveYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for filter primitives</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "masking.html#MaskElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;mask&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#AltGlyphElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;altGlyph&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#GlyphRefElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;glyphRef&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TextElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;text&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#TSpanElementYAttribute", "Y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;tref&gt;</code> and <code>&lt;tspan&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#RectElementYAttribute", "y")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;rect&gt;</code></td>
  </tr>
 </tbody>
</table>
